{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.games;
in {
  options.modules.desktop.games = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    /* Driver includes support for Huion Kamvas Pro */
    hardware.opentabletdriver.enable = true;

    environment.systemPackages = with pkgs.unstable; [
        steam
        lutris
        emulationstation-de
    ];

    permittedInsecurePackages = [
      "freeimage-unstable-2021-11-01"
    ];
  };
}